/* リスト3.7 PPopupMenuのサンプルプログラム */

import ppopupmenu.*;

PPopupMenu menu;
color bg_color = #ffffff;

void setup() {
  size(200, 200);  
  menu = new PPopupMenu(this); // ポップアップメニューを作成

  // メニューへの項目の追加
  menu.addMenuItem("red","menuFunc_red");
  menu.addMenuItem("green","menuFunc_green");
  menu.addMenuItem("blue","menuFunc_blue");
  menu.addSeparator();  // 区切り線の追加
  menu.addMenuItem("test","menuFunc_test");
}

void mousePressed() {
  if (mouseButton==RIGHT) {
    menu.show(); // 右クリックしたときにポップアップメニューを表示
  }
}

void draw() {
  background(bg_color); // 背景色を更新
}

void menuFunc_red() {
  bg_color = #ff0000; // 背景色を赤色にする
}

void menuFunc_green() {
  bg_color = #00ff00; // 背景色を緑色にする
}

void menuFunc_blue() {
  bg_color = #0000ff; // 背景色を青色にする
}

void menuFunc_test() {
  println("test is selected.");
}
