/* リスト3.9 デジタル出力によってLEDを点灯させるサンプル */

import cc.arduino.*;        // Arduinoライブラリ
import processing.serial.*; // シリアル通信ライブラリ

Arduino arduino;
int pin = 2;  // 出力ピン

void setup() {
  println(Arduino.list());                       // シリアルポートの一覧を表示
  arduino = new Arduino(this, Arduino.list()[0], 57600);  // Arduinoの接続設定
  arduino.pinMode(pin, Arduino.OUTPUT);                   // 入出力ピンの設定 
}

void draw() {  
  if (mousePressed) { // マウスボタンが押されていれば
    arduino.digitalWrite(pin, Arduino.HIGH);  // 出力をHIGHにする（LED点灯）
  } else {
    arduino.digitalWrite(pin, Arduino.LOW);   // 出力をLOWにする（LED消灯）
  }
}
