/* リスト3.10 デジタル入力によってスイッチのON/OFFを読み取るサンプル */

import cc.arduino.*;        // Arduinoライブラリ
import processing.serial.*; // シリアル通信ライブラリ

Arduino arduino;
int pin = 2;  // 入力ピン（デジタル）

void setup() {
  println(Arduino.list());                       // シリアルポートの一覧を表示
  arduino = new Arduino(this, Arduino.list()[0], 57600);  // Arduinoの接続設定
  arduino.pinMode(pin, Arduino.INPUT);                    // 入出力ピンの設定
}

void draw() {  
  int value = arduino.digitalRead(pin);  // ピンの状態を読み取る

  if (value == arduino.HIGH) {           // 入力がHIGH（ボタンが押されているとき）
    background(255,0,0);
  }
  else if (value == arduino.LOW) {       // 入力がLOW
    background(0,0,0);
  }
}
