/* リスト3.11 アナログ出力によってLEDの明るさを制御するサンプル */

import cc.arduino.*;        // Arduinoライブラリ
import processing.serial.*; // シリアル通信ライブラリ

Arduino arduino;
int pin = 3;  // 出力ピン（PWM）

void setup() {
  size(256,150);
  println(Arduino.list());                       // シリアルポートの一覧を表示
  arduino = new Arduino(this, Arduino.list()[0], 57600);  // Arduinoの接続設定
  arduino.pinMode(pin, Arduino.OUTPUT);                   // 入出力ピンの設定
}

void draw() {
  background(0);
  int value = mouseX;            // マウスポインタのX座標を出力値とする(0～255)
  arduino.analogWrite(pin, value);   // アナログ出力
  ellipse(value, height/2, 30, 30);  // 円を描画
}
